Assign a WhatsApp number to an agent
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/whatsapp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number_id": "<string>"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/whatsapp"
payload = { "phone_number_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number_id: '<string>'})
};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/whatsapp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agent Channel Bindings
Assign a WhatsApp number to an agent
Assigns a connected WhatsApp Business number to the agent for WhatsApp messaging. Use this before sending WhatsApp template tasks or letting the agent answer WhatsApp conversations. The WhatsApp number must already be connected to your account.
POST
/
api
/
v1
/
agents
/
{uuid}
/
channels
/
whatsapp
Assign a WhatsApp number to an agent
⌘I